summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--development/casperjs/README8
-rw-r--r--development/casperjs/casperjs.SlackBuild74
-rw-r--r--development/casperjs/casperjs.info10
-rw-r--r--development/casperjs/slack-desc19
4 files changed, 111 insertions, 0 deletions
diff --git a/development/casperjs/README b/development/casperjs/README
new file mode 100644
index 0000000000..c8c49a6eef
--- /dev/null
+++ b/development/casperjs/README
@@ -0,0 +1,8 @@
+CasperJS is an open source navigation scripting & testing utility
+written in Javascript and based on PhantomJS — the scriptable headless
+WebKit engine. It eases the process of defining a full navigation
+scenario and provides useful high-level functions, methods & syntactic
+sugar for doing common tasks like filling & submitting forms,
+clicking and following links, scraping Web contents, etc.
+
+This requires phantomjs at runtime.
diff --git a/development/casperjs/casperjs.SlackBuild b/development/casperjs/casperjs.SlackBuild
new file mode 100644
index 0000000000..dddcf51fce
--- /dev/null
+++ b/development/casperjs/casperjs.SlackBuild
@@ -0,0 +1,74 @@
+#!/bin/sh
+
+# Slackware build script for casperjs
+
+# Copyright 2012 Heinz Wiesinger, Amsterdam, The Netherlands
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=casperjs
+VERSION=0.6.9
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf n1k0-$PRGNAM-9fcf674
+tar xvf $CWD/n1k0-$PRGNAM-$VERSION-0-g9fcf674.tar.gz
+cd n1k0-$PRGNAM-9fcf674
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+mkdir -p $PKG/usr/{bin,share/casperjs}
+
+cp -r bin modules samples package.json $PKG/usr/share/casperjs/
+ln -s /usr/share/casperjs/bin/casperjs $PKG/usr/bin/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a *.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/casperjs/casperjs.info b/development/casperjs/casperjs.info
new file mode 100644
index 0000000000..f728876b50
--- /dev/null
+++ b/development/casperjs/casperjs.info
@@ -0,0 +1,10 @@
+PRGNAM="casperjs"
+VERSION="0.6.9"
+HOMEPAGE="http://casperjs.org/"
+DOWNLOAD="https://github.com/n1k0/casperjs/tarball/0.6.9"
+MD5SUM="53e72b4e5dac4f40d82b8ddf4c2f451f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Heinz Wiesinger"
+EMAIL="pprkut@liwjatan.at"
+APPROVED="dsomero"
diff --git a/development/casperjs/slack-desc b/development/casperjs/slack-desc
new file mode 100644
index 0000000000..239e47c0eb
--- /dev/null
+++ b/development/casperjs/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+casperjs: casperjs (Navigation scripting and testing for phantomjs)
+casperjs:
+casperjs: CasperJS is an open source navigation scripting & testing utility
+casperjs: written in Javascript and based on PhantomJS — the scriptable headless
+casperjs: WebKit engine. It eases the process of defining a full navigation
+casperjs: scenario and provides useful high-level functions, methods & syntactic
+casperjs: sugar for doing common tasks like filling & submitting forms,
+casperjs: clicking and following links, scraping Web contents, etc.
+casperjs:
+casperjs: Homepage: http://casperjs.org/
+casperjs: